I have a powerbook g4 can i use snow leopard on it?

  • Asked about:  Mac OS X 10.6 Snow Leopard

2 Answers from the Community

  • Best Answer:

    No, You MUST have an Intel Mac!

  • Unfortunately, no. Snow Leopard is only compatible with Intel multicore processors, and will not install on G5 or earlier processors like yours. Sorry!